Subject: Re: bug#24831: shr mangling messages
From: Katsumi Yamaoka <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 07 Nov 2016 08:32:06 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, 04 Nov 2016 12:17:18 +0100, Lars Ingebrigtsen wrote:
> Katsumi Yamaoka <[email-masked]> writes:
>> Well, is this a reasonable operation?
>>
>> (with-temp-buffer
>>   (insert "<html><body>Foo</body></html>Bar")
>>   (libxml-parse-html-region (point-min) (point-max)))
>>  => (html nil (body nil "Foo") (html nil (p nil "Bar")))

> Yes, it's two <html> elements after each other.  In HTML, the <html>
> start (and end) tags are optional.

I see.  But I'm sorry for my confusion; that extra text appearing
is not due to my change.  So, I'm closing this bug.  Thanks.